﻿using System;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.JavaScript;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using System.ComponentModel.DataAnnotations;
using Syncfusion.EJ.Export;
using Syncfusion.JavaScript.Models;
using Newtonsoft.Json;
using Syncfusion.Linq;
using System.Collections;
using Syncfusion.JavaScript.DataSources;
using Microsoft.AspNetCore.Http;

namespace WebApplication8.Controllers
{
    public class HomeController : Controller
    {


        
        
        public IActionResult Index()
        {

            //var data = GetData();        
            //ViewBag.dataSource = data;
            //ViewBag.dataSource1 = order2;
            return View();

        }
        public IActionResult DataSource([FromBody]Test dm)
        {
            IEnumerable data = GetData();
            DataResult ds = new DataResult();
            ds.result = data;
            ds.count = data.AsQueryable().Count();
            Syncfusion.JavaScript.DataSources.DataOperations operation = new Syncfusion.JavaScript.DataSources.DataOperations();
            if (dm.Skip != 0)
            {
                ds.result = operation.PerformSkip(ds.result, dm.Skip);
            }
            if (dm.Take != 0)
            {
                ds.result = operation.PerformTake(ds.result, dm.Take);
            }
            return Json(ds);

        }
        public class Test :DataManager
        {
            public int age { get; set; }
        }
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
        public List<Orders> GetData() {


            List<Orders> order = new List<Orders>();
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin"));
                order.Add(new Orders(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid"));
                order.Add(new Orders(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester"));
                order.Add(new Orders(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille"));
                order.Add(new Orders(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen"));
                code += 5;
            }
            return order;
        }
        
       
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
            }

            
            public long OrderID { get; set; }
            
            public string CustomerID { get; set; }
            
            public int EmployeeID { get; set; }
            
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
        }
        
       
       
       
        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
